Subject: Re: Cygwin Release process
From: "William A. Hoffman" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Jan 2003 16:40:09 -0500

I realize it is a volunteer effort, and a good one, it
really makes windows much nicer to work with!  I am not
demanding or expecting anything.   I am only trying to 
start a discussion that could lead to a possible solution.

I think that this could be done without "much" effort, or
the work of a single person.  I think with a little bit of
work, (and some extra disk), a system could be set up where
most of the work was pushed to the package maintainers.   

I (being a package maintainer) would not mind the extra work.

If there were say a release of cygwin three times a year, where
all the curr packages where moved to cygwin-curr.   And only bug
fixes where allowed into the cygwin-curr setup tag.   Maintainers
of individual packages could either fix bugs found in the cygwin-curr,
or post a read me explaining the work-around.   

Of course this is just an idea, and I do not have the time or the knowledge
of how setup.exe works to implement it.

-Bill

At 08:15 AM 1/28/2003 +1100, Robert Collins wrote:

>Bill, IMO you are missing a key point:
>
>Cygwin is volunteer maintained. No release manager volunteer, and no
>stable release maintainer (who will maintain stable packages after they
>become stale) have stepped up.
>
>The *only* way you will get a stable release is to:
>1) offer to take on all the extra workload needed.
>2) ask (nicely :}) for disk space at sources.redhat.com to hold (1)
>possibly outdated copy of each package.
>3) patch setup.exe, or talk nicely to me :} to give it the functionality
>needed to support such an endeavour.
>
>I've spoken in favour of such an arrangement before, but didn't have the
>time or personal need to justify making it happen.
>
>Oh, and if a 'stable' cygwin became the most downloaded one, I'm sure
>you would get more assistance from the community - but trying to
>convince us to do it is pretty pointless: we are already contributing
>time and effort, and there has been plenty of opportunity for an extant
>maintainer to pipe up with "I'll do it".
>
>Cheers,
>Rob
>-- 
>GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/